
From: Kumar Gala <galak@freescale.com>

While ppc32 has the CONFIG_HZ Kconfig option, it wasnt actually being used.
Connect it up and set all platforms to 250Hz.  This pretty much mimics the
ppc64 patch from Anton Blanchard.

Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-ppc/param.h |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN include/asm-ppc/param.h~ppc32-add-config_hz include/asm-ppc/param.h
--- 25/include/asm-ppc/param.h~ppc32-add-config_hz	Mon Aug 29 16:04:03 2005
+++ 25-akpm/include/asm-ppc/param.h	Mon Aug 29 16:04:03 2005
@@ -1,8 +1,10 @@
 #ifndef _ASM_PPC_PARAM_H
 #define _ASM_PPC_PARAM_H
 
+#include <linux/config.h>
+
 #ifdef __KERNEL__
-#define HZ		1000		/* internal timer frequency */
+#define HZ		CONFIG_HZ	/* internal timer frequency */
 #define USER_HZ		100		/* for user interfaces in "ticks" */
 #define CLOCKS_PER_SEC	(USER_HZ)	/* frequency at which times() counts */
 #endif /* __KERNEL__ */
_
